Bug 1303668 - packaging: rpmlint warning and errors - Documentation URL 404
packaging: rpmlint warning and errors - Documentation URL 404
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: packaging (Show other bugs)
mainline
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nigel Babu
: Triaged
Depends On:
Blocks: 1353518
  Show dependency treegraph
 
Reported: 2016-02-01 10:49 EST by Kaleb KEITHLEY
Modified: 2017-03-08 03:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1353518 (view as bug list)
Environment:
Last Closed: 2017-03-08 03:12:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaleb KEITHLEY 2016-02-01 10:49:03 EST
Description of problem:

Fedora task-o-tron reports 42 packages and 0 specfiles checked; 139 errors, 196 warnings with the 3.7.7 RPMs.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

glusterfs-devel.i686: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-devel.i686: W: no-documentation
glusterfs-rdma.x86_64: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-rdma.x86_64: W: no-documentation
glusterfs-server.armv7hl: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-server.armv7hl: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/add-brick/pre/S28Quota-enable-root-xattr-heal.sh
glusterfs-server.armv7hl: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/start/post/S31ganesha-start.sh
glusterfs-server.armv7hl: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/stop/pre/S29CTDB-teardown.sh
glusterfs-server.armv7hl: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/start/post/S29CTDBsetup.sh
glusterfs-server.armv7hl: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/stop/pre/S30samba-stop.sh
glusterfs-server.armv7hl: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/add-brick/post/disabled-quota-root-xattr-heal.sh
glusterfs-server.armv7hl: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/start/post/S30samba-start.sh
glusterfs-server.armv7hl: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/set/post/S32gluster_enable_shared_storage.sh
glusterfs-server.armv7hl: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/set/post/S30samba-set.sh
glusterfs-server.armv7hl: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/reset/post/S31ganesha-reset.sh
glusterfs-server.armv7hl: E: non-executable-script /usr/libexec/glusterfs/glusterfind/conf.py 644 /usr/bin/env
glusterfs-server.armv7hl: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/add-brick/pre/S28Quota-enable-root-xattr-heal.sh 744
glusterfs-server.armv7hl: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/add-brick/pre/S28Quota-enable-root-xattr-heal.sh
glusterfs-server.armv7hl: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/start/post/S31ganesha-start.sh 744
glusterfs-server.armv7hl: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/start/post/S31ganesha-start.sh
glusterfs-server.armv7hl: E: non-readable /var/lib/glusterd/nfs/run/nfs.pid 600
glusterfs-server.armv7hl: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/stop/pre/S29CTDB-teardown.sh 744
glusterfs-server.armv7hl: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/stop/pre/S29CTDB-teardown.sh
glusterfs-server.armv7hl: E: non-readable /var/lib/glusterd/nfs/nfs-server.vol 600
glusterfs-server.armv7hl: E: dir-or-file-in-var-run /var/run/gluster
glusterfs-server.armv7hl: W: dangling-relative-symlink /usr/sbin/glusterd glusterfsd
glusterfs-server.armv7hl: E: non-executable-script /usr/libexec/glusterfs/glusterfind/utils.py 644 /usr/bin/env
glusterfs-server.armv7hl: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/start/post/S29CTDBsetup.sh 744
glusterfs-server.armv7hl: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/start/post/S29CTDBsetup.sh
glusterfs-server.armv7hl: E: non-executable-script /usr/libexec/glusterfs/glusterfind/main.py 644 /usr/bin/env
glusterfs-server.armv7hl: E: script-without-shebang /usr/lib/systemd/system/glusterd.service
glusterfs-server.armv7hl: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/stop/pre/S30samba-stop.sh 744
glusterfs-server.armv7hl: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/stop/pre/S30samba-stop.sh
glusterfs-server.armv7hl: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/add-brick/post/disabled-quota-root-xattr-heal.sh 744
glusterfs-server.armv7hl: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/add-brick/post/disabled-quota-root-xattr-heal.sh
glusterfs-server.armv7hl: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/start/post/S30samba-start.sh 744
glusterfs-server.armv7hl: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/start/post/S30samba-start.sh
glusterfs-server.armv7hl: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/set/post/S32gluster_enable_shared_storage.sh 744
glusterfs-server.armv7hl: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/set/post/S32gluster_enable_shared_storage.sh
glusterfs-server.armv7hl: E: non-readable /var/lib/glusterd/options 600
glusterfs-server.armv7hl: E: non-executable-script /usr/libexec/glusterfs/glusterfind/changelogdata.py 644 /usr/bin/env
glusterfs-server.armv7hl: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/set/post/S30samba-set.sh 744
glusterfs-server.armv7hl: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/set/post/S30samba-set.sh
glusterfs-server.armv7hl: E: non-executable-script /usr/libexec/glusterfs/glusterfind/libgfchangelog.py 644 /usr/bin/env
glusterfs-server.armv7hl: E: postun-without-ldconfig /usr/lib/libgfdb.so.0.0.1
glusterfs-server.armv7hl: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/reset/post/S31ganesha-reset.sh 744
glusterfs-server.armv7hl: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/reset/post/S31ganesha-reset.sh
glusterfs-server.armv7hl: E: script-without-shebang /var/lib/glusterd/hooks/1/reset/post/S31ganesha-reset.sh
glusterfs-server.armv7hl: E: non-executable-script /usr/libexec/glusterfs/glusterfind/__init__.py 644 /usr/bin/env
glusterfs-server.armv7hl: W: no-manual-page-for-binary snap_scheduler.py
glusterfs-server.armv7hl: W: no-manual-page-for-binary gcron.py
glusterfs-server.armv7hl: W: no-manual-page-for-binary glusterd
glusterfs-server.armv7hl: W: no-manual-page-for-binary glfsheal
glusterfs-server.armv7hl: W: no-manual-page-for-binary glusterfind
glusterfs-server.armv7hl: W: percent-in-%post
glusterfs-server.armv7hl: W: dangerous-command-in-%post mv
glusterfs-libs.i686: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-libs.i686: W: no-documentation
glusterfs-libs.i686: W: one-line-command-in-%post /sbin/ldconfig
glusterfs-rdma.i686: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-rdma.i686: W: no-documentation
glusterfs-api.x86_64: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-api.x86_64: W: no-documentation
glusterfs-api.x86_64: W: one-line-command-in-%post /sbin/ldconfig
glusterfs-api.x86_64: W: one-line-command-in-%postun /sbin/ldconfig
glusterfs-api-devel.x86_64: W: no-dependency-on glusterfs-api/glusterfs-api-libs/libglusterfs-api
glusterfs-api-devel.x86_64: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-api-devel.x86_64: W: only-non-binary-in-usr-lib
glusterfs-api-devel.x86_64: W: no-documentation
glusterfs-cli.x86_64: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-cli.x86_64: E: non-standard-executable-perm /etc/bash_completion.d/gluster 744
glusterfs-cli.x86_64: E: sourced-script-with-shebang /etc/bash_completion.d/gluster /bin/bash
glusterfs-cli.x86_64: E: executable-sourced-script /etc/bash_completion.d/gluster 744
glusterfs.i686: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs.i686: W: obsolete-not-provided glusterfs-regression-tests
glusterfs.i686: W: obsolete-not-provided glusterfs-ufo
glusterfs.i686: W: obsolete-not-provided hekafs
glusterfs.i686: W: crypto-policy-non-compliance-openssl /usr/lib/glusterfs/3.7.7/rpc-transport/socket.so SSL_CTX_set_cipher_list
glusterfs.i686: W: log-files-without-logrotate ['/var/log/glusterfs']
glusterfs.i686: W: install-file-in-docs /usr/share/doc/glusterfs/INSTALL
glusterfs.i686: W: empty-%post
glusterfs.i686: W: one-line-command-in-%postun /sbin/ldconfig
glusterfs-ganesha.x86_64: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-ganesha.x86_64: W: only-non-binary-in-usr-lib
glusterfs-ganesha.x86_64: W: no-documentation
glusterfs-ganesha.x86_64: E: script-without-shebang /usr/libexec/ganesha/create-export-ganesha.sh
glusterfs-ganesha.x86_64: E: script-without-shebang /usr/libexec/ganesha/dbus-send.sh
glusterfs-ganesha.x86_64: W: non-conffile-in-etc /etc/ganesha/ganesha-ha.conf.sample
glusterfs-geo-replication.armv7hl: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-geo-replication.armv7hl: E: arch-dependent-file-in-usr-share /usr/share/glusterfs/scripts/gsync-sync-gfid
glusterfs-geo-replication.armv7hl: W: no-documentation
glusterfs-geo-replication.armv7hl: E: non-executable-script /usr/libexec/glusterfs/python/syncdaemon/gsyncd.py 644 /usr/bin/env
glusterfs-geo-replication.armv7hl: E: incoherent-logrotate-file /etc/logrotate.d/glusterfs-georep
glusterfs-geo-replication.armv7hl: E: non-executable-script /usr/libexec/glusterfs/python/syncdaemon/ipaddr.py 644 /usr/bin/python
glusterfs-geo-replication.armv7hl: E: non-executable-script /usr/libexec/glusterfs/python/syncdaemon/gsyncdstatus.py 644 /usr/bin/env
glusterfs-geo-replication.armv7hl: E: non-executable-script /usr/libexec/glusterfs/python/syncdaemon/changelogagent.py 644 /usr/bin/env
glusterfs-geo-replication.armv7hl: W: no-manual-page-for-binary gfind_missing_files
glusterfs-fuse.x86_64: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-fuse.x86_64: W: no-documentation
glusterfs-fuse.x86_64: E: incoherent-logrotate-file /etc/logrotate.d/glusterfs
glusterfs-fuse.x86_64: W: no-manual-page-for-binary mount.glusterfs
glusterfs-fuse.x86_64: W: no-manual-page-for-binary glusterfsd
glusterfs-fuse.x86_64: W: no-manual-page-for-binary glusterfs
glusterfs-fuse.x86_64: W: no-manual-page-for-binary fusermount-glusterfs
glusterfs-fuse.x86_64: W: empty-%post
glusterfs-client-xlators.armv7hl: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-client-xlators.armv7hl: W: no-documentation
glusterfs.armv7hl: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs.armv7hl: W: obsolete-not-provided glusterfs-regression-tests
glusterfs.armv7hl: W: obsolete-not-provided glusterfs-ufo
glusterfs.armv7hl: W: obsolete-not-provided hekafs
glusterfs.armv7hl: W: crypto-policy-non-compliance-openssl /usr/lib/glusterfs/3.7.7/rpc-transport/socket.so SSL_CTX_set_cipher_list
glusterfs.armv7hl: W: log-files-without-logrotate ['/var/log/glusterfs']
glusterfs.armv7hl: W: install-file-in-docs /usr/share/doc/glusterfs/INSTALL
glusterfs.armv7hl: W: empty-%post
glusterfs.armv7hl: W: one-line-command-in-%postun /sbin/ldconfig
glusterfs-cli.armv7hl: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-cli.armv7hl: E: non-standard-executable-perm /etc/bash_completion.d/gluster 744
glusterfs-cli.armv7hl: E: sourced-script-with-shebang /etc/bash_completion.d/gluster /bin/bash
glusterfs-cli.armv7hl: E: executable-sourced-script /etc/bash_completion.d/gluster 744
glusterfs-libs.armv7hl: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-libs.armv7hl: W: no-documentation
glusterfs-libs.armv7hl: W: one-line-command-in-%post /sbin/ldconfig
glusterfs-extra-xlators.i686: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-extra-xlators.i686: W: no-documentation
glusterfs-extra-xlators.armv7hl: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-extra-xlators.armv7hl: W: no-documentation
glusterfs-server.x86_64: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-server.x86_64: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/start/post/S30samba-start.sh
glusterfs-server.x86_64: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/add-brick/pre/S28Quota-enable-root-xattr-heal.sh
glusterfs-server.x86_64: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/start/post/S31ganesha-start.sh
glusterfs-server.x86_64: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/stop/pre/S29CTDB-teardown.sh
glusterfs-server.x86_64: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/start/post/S29CTDBsetup.sh
glusterfs-server.x86_64: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/stop/pre/S30samba-stop.sh
glusterfs-server.x86_64: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/add-brick/post/disabled-quota-root-xattr-heal.sh
glusterfs-server.x86_64: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/set/post/S32gluster_enable_shared_storage.sh
glusterfs-server.x86_64: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/set/post/S30samba-set.sh
glusterfs-server.x86_64: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/reset/post/S31ganesha-reset.sh
glusterfs-server.x86_64: E: non-executable-script /usr/libexec/glusterfs/glusterfind/conf.py 644 /usr/bin/env
glusterfs-server.x86_64: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/start/post/S30samba-start.sh 744
glusterfs-server.x86_64: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/start/post/S30samba-start.sh
glusterfs-server.x86_64: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/add-brick/pre/S28Quota-enable-root-xattr-heal.sh 744
glusterfs-server.x86_64: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/add-brick/pre/S28Quota-enable-root-xattr-heal.sh
glusterfs-server.x86_64: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/start/post/S31ganesha-start.sh 744
glusterfs-server.x86_64: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/start/post/S31ganesha-start.sh
glusterfs-server.x86_64: E: non-readable /var/lib/glusterd/nfs/run/nfs.pid 600
glusterfs-server.x86_64: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/stop/pre/S29CTDB-teardown.sh 744
glusterfs-server.x86_64: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/stop/pre/S29CTDB-teardown.sh
glusterfs-server.x86_64: E: non-readable /var/lib/glusterd/nfs/nfs-server.vol 600
glusterfs-server.x86_64: E: non-executable-script /usr/libexec/glusterfs/glusterfind/utils.py 644 /usr/bin/env
glusterfs-server.x86_64: E: dir-or-file-in-var-run /var/run/gluster
glusterfs-server.x86_64: W: dangling-relative-symlink /usr/sbin/glusterd glusterfsd
glusterfs-server.x86_64: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/start/post/S29CTDBsetup.sh 744
glusterfs-server.x86_64: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/start/post/S29CTDBsetup.sh
glusterfs-server.x86_64: E: non-executable-script /usr/libexec/glusterfs/glusterfind/main.py 644 /usr/bin/env
glusterfs-server.x86_64: E: script-without-shebang /usr/lib/systemd/system/glusterd.service
glusterfs-server.x86_64: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/stop/pre/S30samba-stop.sh 744
glusterfs-server.x86_64: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/stop/pre/S30samba-stop.sh
glusterfs-server.x86_64: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/add-brick/post/disabled-quota-root-xattr-heal.sh 744
glusterfs-server.x86_64: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/add-brick/post/disabled-quota-root-xattr-heal.sh
glusterfs-server.x86_64: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/set/post/S32gluster_enable_shared_storage.sh 744
glusterfs-server.x86_64: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/set/post/S32gluster_enable_shared_storage.sh
glusterfs-server.x86_64: E: non-readable /var/lib/glusterd/options 600
glusterfs-server.x86_64: E: postun-without-ldconfig /usr/lib64/libgfdb.so.0.0.1
glusterfs-server.x86_64: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/set/post/S30samba-set.sh 744
glusterfs-server.x86_64: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/set/post/S30samba-set.sh
glusterfs-server.x86_64: E: non-executable-script /usr/libexec/glusterfs/glusterfind/libgfchangelog.py 644 /usr/bin/env
glusterfs-server.x86_64: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/reset/post/S31ganesha-reset.sh 744
glusterfs-server.x86_64: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/reset/post/S31ganesha-reset.sh
glusterfs-server.x86_64: E: script-without-shebang /var/lib/glusterd/hooks/1/reset/post/S31ganesha-reset.sh
glusterfs-server.x86_64: E: non-executable-script /usr/libexec/glusterfs/glusterfind/changelogdata.py 644 /usr/bin/env
glusterfs-server.x86_64: E: non-executable-script /usr/libexec/glusterfs/glusterfind/__init__.py 644 /usr/bin/env
glusterfs-server.x86_64: W: no-manual-page-for-binary snap_scheduler.py
glusterfs-server.x86_64: W: no-manual-page-for-binary gcron.py
glusterfs-server.x86_64: W: no-manual-page-for-binary glusterd
glusterfs-server.x86_64: W: no-manual-page-for-binary glfsheal
glusterfs-server.x86_64: W: no-manual-page-for-binary glusterfind
glusterfs-server.x86_64: W: percent-in-%post
glusterfs-server.x86_64: W: dangerous-command-in-%post mv
glusterfs-fuse.armv7hl: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-fuse.armv7hl: W: no-documentation
glusterfs-fuse.armv7hl: E: incoherent-logrotate-file /etc/logrotate.d/glusterfs
glusterfs-fuse.armv7hl: W: no-manual-page-for-binary mount.glusterfs
glusterfs-fuse.armv7hl: W: no-manual-page-for-binary glusterfsd
glusterfs-fuse.armv7hl: W: no-manual-page-for-binary glusterfs
glusterfs-fuse.armv7hl: W: no-manual-page-for-binary fusermount-glusterfs
glusterfs-fuse.armv7hl: W: empty-%post
glusterfs-resource-agents.noarch: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-resource-agents.noarch: W: only-non-binary-in-usr-lib
glusterfs-resource-agents.noarch: W: no-documentation
python-gluster.noarch: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
python-gluster.noarch: W: no-documentation
glusterfs-api-devel.armv7hl: W: no-dependency-on glusterfs-api/glusterfs-api-libs/libglusterfs-api
glusterfs-api-devel.armv7hl: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-api-devel.armv7hl: W: no-documentation
glusterfs.x86_64: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs.x86_64: W: obsolete-not-provided glusterfs-regression-tests
glusterfs.x86_64: W: obsolete-not-provided glusterfs-ufo
glusterfs.x86_64: W: obsolete-not-provided hekafs
glusterfs.x86_64: W: crypto-policy-non-compliance-openssl /usr/lib64/glusterfs/3.7.7/rpc-transport/socket.so SSL_CTX_set_cipher_list
glusterfs.x86_64: W: log-files-without-logrotate ['/var/log/glusterfs']
glusterfs.x86_64: W: install-file-in-docs /usr/share/doc/glusterfs/INSTALL
glusterfs.x86_64: W: empty-%post
glusterfs.x86_64: W: one-line-command-in-%postun /sbin/ldconfig
glusterfs-api-devel.i686: W: no-dependency-on glusterfs-api/glusterfs-api-libs/libglusterfs-api
glusterfs-api-devel.i686: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-api-devel.i686: W: no-documentation
glusterfs-cli.i686: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-cli.i686: E: non-standard-executable-perm /etc/bash_completion.d/gluster 744
glusterfs-cli.i686: E: sourced-script-with-shebang /etc/bash_completion.d/gluster /bin/bash
glusterfs-cli.i686: E: executable-sourced-script /etc/bash_completion.d/gluster 744
glusterfs-client-xlators.x86_64: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-client-xlators.x86_64: W: no-documentation
glusterfs-geo-replication.x86_64: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-geo-replication.x86_64: E: arch-dependent-file-in-usr-share /usr/share/glusterfs/scripts/gsync-sync-gfid
glusterfs-geo-replication.x86_64: W: no-documentation
glusterfs-geo-replication.x86_64: E: non-executable-script /usr/libexec/glusterfs/python/syncdaemon/gsyncd.py 644 /usr/bin/env
glusterfs-geo-replication.x86_64: E: incoherent-logrotate-file /etc/logrotate.d/glusterfs-georep
glusterfs-geo-replication.x86_64: E: non-executable-script /usr/libexec/glusterfs/python/syncdaemon/ipaddr.py 644 /usr/bin/python
glusterfs-geo-replication.x86_64: E: non-executable-script /usr/libexec/glusterfs/python/syncdaemon/gsyncdstatus.py 644 /usr/bin/env
glusterfs-geo-replication.x86_64: E: non-executable-script /usr/libexec/glusterfs/python/syncdaemon/changelogagent.py 644 /usr/bin/env
glusterfs-geo-replication.x86_64: W: no-manual-page-for-binary gfind_missing_files
glusterfs.src: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs.src: W: strange-permission rhel5-load-fuse-modules 755
glusterfs.src:244: W: unversioned-explicit-obsoletes hekafs
glusterfs.src:248: W: unversioned-explicit-obsoletes %{name}-regression-tests
glusterfs.src:250: W: unversioned-explicit-obsoletes %{name}-ufo
glusterfs.src:537: E: hardcoded-library-path in %{_prefix}/lib/ocf/resource.d
glusterfs.src:1118: E: hardcoded-library-path in %{_prefix}/lib/ocf/resource.d/heartbeat/*
glusterfs.src:1174: E: hardcoded-library-path in %{_prefix}/lib/ocf/resource.d/glusterfs
glusterfs.src:1289: E: hardcoded-library-path in %{_prefix}/lib/firewalld/services/glusterfs.xml
glusterfs.src: W: invalid-url Source0: http://bits.gluster.org/pub/gluster/glusterfs/src/glusterfs-3.7.7.tar.gz <urlopen error [Errno -2] Name or service not known>
glusterfs-devel.x86_64: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-devel.x86_64: W: only-non-binary-in-usr-lib
glusterfs-devel.x86_64: W: no-documentation
glusterfs-libs.x86_64: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-libs.x86_64: W: no-documentation
glusterfs-libs.x86_64: W: one-line-command-in-%post /sbin/ldconfig
glusterfs-geo-replication.i686: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-geo-replication.i686: E: arch-dependent-file-in-usr-share /usr/share/glusterfs/scripts/gsync-sync-gfid
glusterfs-geo-replication.i686: W: no-documentation
glusterfs-geo-replication.i686: E: non-executable-script /usr/libexec/glusterfs/python/syncdaemon/gsyncd.py 644 /usr/bin/env
glusterfs-geo-replication.i686: E: incoherent-logrotate-file /etc/logrotate.d/glusterfs-georep
glusterfs-geo-replication.i686: E: non-executable-script /usr/libexec/glusterfs/python/syncdaemon/ipaddr.py 644 /usr/bin/python
glusterfs-geo-replication.i686: E: non-executable-script /usr/libexec/glusterfs/python/syncdaemon/gsyncdstatus.py 644 /usr/bin/env
glusterfs-geo-replication.i686: E: non-executable-script /usr/libexec/glusterfs/python/syncdaemon/changelogagent.py 644 /usr/bin/env
glusterfs-geo-replication.i686: W: no-manual-page-for-binary gfind_missing_files
glusterfs-api.i686: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-api.i686: W: no-documentation
glusterfs-api.i686: W: one-line-command-in-%post /sbin/ldconfig
glusterfs-api.i686: W: one-line-command-in-%postun /sbin/ldconfig
glusterfs-api.armv7hl: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-api.armv7hl: W: no-documentation
glusterfs-api.armv7hl: W: one-line-command-in-%post /sbin/ldconfig
glusterfs-api.armv7hl: W: one-line-command-in-%postun /sbin/ldconfig
glusterfs-fuse.i686: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-fuse.i686: W: no-documentation
glusterfs-fuse.i686: E: incoherent-logrotate-file /etc/logrotate.d/glusterfs
glusterfs-fuse.i686: W: no-manual-page-for-binary mount.glusterfs
glusterfs-fuse.i686: W: no-manual-page-for-binary glusterfsd
glusterfs-fuse.i686: W: no-manual-page-for-binary glusterfs
glusterfs-fuse.i686: W: no-manual-page-for-binary fusermount-glusterfs
glusterfs-fuse.i686: W: empty-%post
glusterfs-ganesha.armv7hl: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-ganesha.armv7hl: W: only-non-binary-in-usr-lib
glusterfs-ganesha.armv7hl: W: no-documentation
glusterfs-ganesha.armv7hl: E: script-without-shebang /usr/libexec/ganesha/create-export-ganesha.sh
glusterfs-ganesha.armv7hl: E: script-without-shebang /usr/libexec/ganesha/dbus-send.sh
glusterfs-ganesha.armv7hl: W: non-conffile-in-etc /etc/ganesha/ganesha-ha.conf.sample
glusterfs-extra-xlators.x86_64: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-extra-xlators.x86_64: W: no-documentation
glusterfs-server.i686: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-server.i686: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/add-brick/pre/S28Quota-enable-root-xattr-heal.sh
glusterfs-server.i686: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/start/post/S31ganesha-start.sh
glusterfs-server.i686: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/stop/pre/S29CTDB-teardown.sh
glusterfs-server.i686: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/start/post/S29CTDBsetup.sh
glusterfs-server.i686: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/stop/pre/S30samba-stop.sh
glusterfs-server.i686: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/add-brick/post/disabled-quota-root-xattr-heal.sh
glusterfs-server.i686: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/start/post/S30samba-start.sh
glusterfs-server.i686: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/set/post/S32gluster_enable_shared_storage.sh
glusterfs-server.i686: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/set/post/S30samba-set.sh
glusterfs-server.i686: W: conffile-without-noreplace-flag /var/lib/glusterd/hooks/1/reset/post/S31ganesha-reset.sh
glusterfs-server.i686: E: non-executable-script /usr/libexec/glusterfs/glusterfind/conf.py 644 /usr/bin/env
glusterfs-server.i686: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/add-brick/pre/S28Quota-enable-root-xattr-heal.sh 744
glusterfs-server.i686: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/add-brick/pre/S28Quota-enable-root-xattr-heal.sh
glusterfs-server.i686: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/start/post/S31ganesha-start.sh 744
glusterfs-server.i686: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/start/post/S31ganesha-start.sh
glusterfs-server.i686: E: non-readable /var/lib/glusterd/nfs/run/nfs.pid 600
glusterfs-server.i686: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/stop/pre/S29CTDB-teardown.sh 744
glusterfs-server.i686: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/stop/pre/S29CTDB-teardown.sh
glusterfs-server.i686: E: non-readable /var/lib/glusterd/nfs/nfs-server.vol 600
glusterfs-server.i686: E: dir-or-file-in-var-run /var/run/gluster
glusterfs-server.i686: W: dangling-relative-symlink /usr/sbin/glusterd glusterfsd
glusterfs-server.i686: E: non-executable-script /usr/libexec/glusterfs/glusterfind/utils.py 644 /usr/bin/env
glusterfs-server.i686: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/start/post/S29CTDBsetup.sh 744
glusterfs-server.i686: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/start/post/S29CTDBsetup.sh
glusterfs-server.i686: E: non-executable-script /usr/libexec/glusterfs/glusterfind/main.py 644 /usr/bin/env
glusterfs-server.i686: E: script-without-shebang /usr/lib/systemd/system/glusterd.service
glusterfs-server.i686: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/stop/pre/S30samba-stop.sh 744
glusterfs-server.i686: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/stop/pre/S30samba-stop.sh
glusterfs-server.i686: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/add-brick/post/disabled-quota-root-xattr-heal.sh 744
glusterfs-server.i686: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/add-brick/post/disabled-quota-root-xattr-heal.sh
glusterfs-server.i686: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/start/post/S30samba-start.sh 744
glusterfs-server.i686: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/start/post/S30samba-start.sh
glusterfs-server.i686: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/set/post/S32gluster_enable_shared_storage.sh 744
glusterfs-server.i686: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/set/post/S32gluster_enable_shared_storage.sh
glusterfs-server.i686: E: non-readable /var/lib/glusterd/options 600
glusterfs-server.i686: E: non-executable-script /usr/libexec/glusterfs/glusterfind/changelogdata.py 644 /usr/bin/env
glusterfs-server.i686: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/set/post/S30samba-set.sh 744
glusterfs-server.i686: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/set/post/S30samba-set.sh
glusterfs-server.i686: E: non-executable-script /usr/libexec/glusterfs/glusterfind/libgfchangelog.py 644 /usr/bin/env
glusterfs-server.i686: E: postun-without-ldconfig /usr/lib/libgfdb.so.0.0.1
glusterfs-server.i686: E: non-standard-executable-perm /var/lib/glusterd/hooks/1/reset/post/S31ganesha-reset.sh 744
glusterfs-server.i686: E: executable-marked-as-config-file /var/lib/glusterd/hooks/1/reset/post/S31ganesha-reset.sh
glusterfs-server.i686: E: script-without-shebang /var/lib/glusterd/hooks/1/reset/post/S31ganesha-reset.sh
glusterfs-server.i686: E: non-executable-script /usr/libexec/glusterfs/glusterfind/__init__.py 644 /usr/bin/env
glusterfs-server.i686: W: no-manual-page-for-binary snap_scheduler.py
glusterfs-server.i686: W: no-manual-page-for-binary gcron.py
glusterfs-server.i686: W: no-manual-page-for-binary glusterd
glusterfs-server.i686: W: no-manual-page-for-binary glfsheal
glusterfs-server.i686: W: no-manual-page-for-binary glusterfind
glusterfs-server.i686: W: percent-in-%post
glusterfs-server.i686: W: dangerous-command-in-%post mv
glusterfs-devel.armv7hl: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-devel.armv7hl: W: no-documentation
glusterfs-rdma.armv7hl: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-rdma.armv7hl: W: no-documentation
glusterfs-client-xlators.i686: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-client-xlators.i686: W: no-documentation
glusterfs-ganesha.i686: W: invalid-url URL: http://www.gluster.org/docs/index.php/GlusterFS <urlopen error [Errno -2] Name or service not known>
glusterfs-ganesha.i686: W: only-non-binary-in-usr-lib
glusterfs-ganesha.i686: W: no-documentation
glusterfs-ganesha.i686: E: script-without-shebang /usr/libexec/ganesha/create-export-ganesha.sh
glusterfs-ganesha.i686: E: script-without-shebang /usr/libexec/ganesha/dbus-send.sh
glusterfs-ganesha.i686: W: non-conffile-in-etc /etc/ganesha/ganesha-ha.conf.sample
42 packages and 0 specfiles checked; 139 errors, 196 warnings.
Comment 1 Vijay Bellur 2016-07-07 06:11:10 EDT
REVIEW: http://review.gluster.org/14869 (Update the documentation link in the spec file) posted (#2) for review on master by Nigel Babu (nigelb@redhat.com)
Comment 2 Vijay Bellur 2016-07-07 12:20:08 EDT
COMMIT: http://review.gluster.org/14869 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 45f986a20f582c24c71172eb1ff097295c88aebc
Author: Nigel Babu <nigelb@redhat.com>
Date:   Thu Jul 7 14:35:14 2016 +0530

    Update the documentation link in the spec file
    
    BUG: 1303668
    Change-Id: Ifded6a03f437f16a0a1ad2bfb7377d07569a7735
    Signed-off-by: Nigel Babu <nigelb@redhat.com>
    Reviewed-on: http://review.gluster.org/14869
    Tested-by: Raghavendra Talur <rtalur@redhat.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.org>

Note You need to log in before you can comment on or make changes to this bug.